<template>
  <div class="flag-select vertical-center">
    <flag v-for="lang in languages" :key="lang.code"
          class="clickable"
          :iso="lang.flag"
          :squared="false"
          @click.native="changeLang(lang.code)" />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';

@Component
export default class FlagSelect extends Vue {
  languages: { flag: string, code: string, label: string }[] = [
    { flag: 'fr', code: 'fr', label: 'Français'},
    { flag: 'gb', code: 'en', label: 'English' },
  ];

  changeLang(code: string): void {
    this.$i18n.locale = code;
  }
}
</script>

<style lang="scss" scoped>
.flag-select {
  display: flex;
  flex-direction: column;
  .flag-icon {
    width: 1.5rem;
  }
}
</style>